Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

gotcha 2

  • Loading branch information...
commit cbd6657e4c3dbf98b0d807d8e99c21b2bf135e68 1 parent 2d0b2ca
Dominik Menke authored
2  spec/wookie/identity_dialect_spec.rb
View
@@ -8,7 +8,7 @@ def from_wookie(str); str; end
describe Wookie::Translator do
before do
- @t = Wookie::Translator.new(dialect: IdentityDialect)
+ @t = Wookie::Translator.new(:dialect => IdentityDialect)
@english = 'enter your text here!'
@wookie = 'wowhaoworc rooohurc aowokao acworcwo!'
end
4 spec/wookie/translator_spec.rb
View
@@ -14,13 +14,13 @@
end
it "should translate with the simple default dialect (hash form)" do
- t = Wookie::Translator.new dialect: Wookie::Dialect::Simple
+ t = Wookie::Translator.new :dialect => Wookie::Dialect::Simple
t.to_wookie(@english).should eq(@wookie)
t.from_wookie(@wookie).should eq(@english)
end
it "should raise a NotImplementedError if using an incomplete dialect" do
- t = Wookie::Translator.new dialect: Wookie::Dialect::Base
+ t = Wookie::Translator.new :dialect => Wookie::Dialect::Base
expect {
t.to_wookie(@english).should eq(@wookie)
}.to raise_error(NotImplementedError)
Please sign in to comment.
Something went wrong with that request. Please try again.